/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Led_Core.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Exports only the software component runnables (global functions), usually only one initialization
 *                and one cyclic runnable.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef LED_CORE_H
#define LED_CORE_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Led_Cfg.h"
#include "Rte_Led.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern Rte_LedEnableType Led_gat_InputValues[LED_NUMBER_OF_INSTANCES];
extern IoHwAb_DigitalLevelType Led_gat_OutputValues[LED_NUMBER_OF_INSTANCES];
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern const IoHwAb_DigitalLevelType Led_gkat_ActiveValues[LED_NUMBER_OF_INSTANCES];
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

extern void Led_gv_RteInputUpdate(void);
extern void Led_gv_RteOutputUpdate(void);

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* LED_CORE_H */
